/*
 * Class WEL_HDI_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_464 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_464 [] = {0xFF01,1551,463,0xFFFF};
static const EIF_TYPE_INDEX egt_2_464 [] = {0xFF01,463,0xFFFF};
static const EIF_TYPE_INDEX egt_3_464 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_464 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_464 [] = {0xFF01,463,0xFFFF};
static const EIF_TYPE_INDEX egt_6_464 [] = {0xFF01,463,0xFFFF};
static const EIF_TYPE_INDEX egt_7_464 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_464 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_464 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_464 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_464 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_464 [] = {0xFF01,463,0xFFFF};


static const struct desc_info desc_464[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_464), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_464), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_464), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_464), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_464), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_464), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_464), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_464), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_464), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_464), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_464), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_464), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x039F /*463*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_464), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7990, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7991, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7992, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7993, 0xFFFFFFFF},
};
void Init464(void)
{
	IDSC(desc_464, 0, 463);
	IDSC(desc_464 + 1, 1, 463);
	IDSC(desc_464 + 32, 79, 463);
}


#ifdef __cplusplus
}
#endif
